Bug 160955 - [maintainer] www/p5-RT-Extension-SLA update to 0.05, etc
[maintainer] www/p5-RT-Extension-SLA update to 0.05, etc
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Florian Smeets
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-23 21:40 UTC by m.seaman
Modified: 2011-10-18 17:05 UTC (History)
0 users

See Also:


Attachments
p5-RT-Extension-SLA.diff (7.31 KB, patch)
2011-09-23 21:40 UTC, m.seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.seaman 2011-09-23 21:40:08 UTC
This is dependent on ports/160901 being committed

Update to version 0.05

Drop support for RT version 3.6.x (www/rt36 port expires as of 2011-09-30)

Add support for RT version 4.0.2

Add license

Pet portlint

Files removed:

    pkg-plist.rt36

Files renamed

   pkg-plist.rt38 to pkg-plist
Comment 1 Edwin Groothuis freebsd_committer 2011-09-23 21:40:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 m.seaman 2011-09-26 22:38:25 UTC
Updated patch accounting for dougb@'s commits earlier today:

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/p5-RT-Extension-SLA/Makefile,v
retrieving revision 1.14
diff -u -u -r1.14 Makefile
--- Makefile	26 Sep 2011 20:01:01 -0000	1.14
+++ Makefile	26 Sep 2011 21:14:51 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	RT-Extension-SLA
-PORTVERSION=	0.04
+PORTVERSION=	0.05
 CATEGORIES=	www perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -14,17 +14,28 @@
 MAINTAINER=	m.seaman@infracaninophile.co.uk
 COMMENT=	RT extension to automate due dates using service levels
 
+LICENSE=	GPLv2
+
 BUILD_DEPENDS=	${SITE_PERL}/Business/Hours.pm:${PORTSDIR}/misc/p5-Business-Hours
-RUN_DEPENDS=	${BUILD_DEPENDS}
+RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 LICENSE=	GPLv2
 
 PERL_CONFIGURE=	yes
 
-RTHOME?=	share/rt38
-SUB_LIST+=	INITIALDATA=plugins/RT-Extension-SLA/etc/initialdata
-RT_PM_DIR=	${SITE_PERL}
-BUILD_DEPENDS+=	${RT_PM_DIR}/RT.pm:${PORTSDIR}/www/rt38
+OPTIONS=	RT38 "Install for rt-3.8.x (default rt-4.0.x)" off
+
+.include <bsd.port.options.mk>
+
+.if defined(WITH_RT38)
+RT_VER=		38
+.else
+RT_VER=		40
+.endif
+
+BUILD_DEPENDS+=	${SITE_PERL}/RT.pm:${PORTSDIR}/www/rt${RT_VER}
+RUN_DEPENDS+=	${SITE_PERL}/RT.pm:${PORTSDIR}/www/rt${RT_VER}
+
 MAN3PREFIX=	${PREFIX}
 
 MAN3=		RT::Action::SLA.3                     \
@@ -38,9 +49,10 @@
 		RT::Extension::SLA.3                  \
 		RT::Queue_SLA.3
 
-PLIST_SUB+=	RTHOME=${RTHOME}
+PLIST_SUB+=	RTHOME=share/rt${RT_VER}
 
-SUB_LIST+=	RTHOME=${RTHOME}
+SUB_LIST+=	RTHOME=share/rt${RT_VER}
+SUB_LIST+=	INITIALDATA=plugins/RT-Extension-SLA/etc/initialdata
 SUB_FILES+=	pkg-message
 
 # Note: You can install using an arbitrary $PREFIX but only if it
@@ -49,7 +61,7 @@
 do-configure:
 	@cd ${CONFIGURE_WRKSRC} && \
 	    unset PREFIX && \
-	    ${SETENV} ${CONFIGURE_ENV} ${PERL5} -I${RT_PM_DIR} ./${CONFIGURE_SCRIPT} && \
+	    ${SETENV} ${CONFIGURE_ENV} ${PERL5} -I${SITE_PERL} ./${CONFIGURE_SCRIPT} && \
 	    ${PERL5} -pi -e 's/ doc_(perl|site|\$$\(INSTALLDIRS\))_install$$//' Makefile
 
 post-install:
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/www/p5-RT-Extension-SLA/distinfo,v
retrieving revision 1.4
diff -u -u -r1.4 distinfo
--- distinfo	14 Jun 2011 11:02:09 -0000	1.4
+++ distinfo	26 Sep 2011 21:14:51 -0000
@@ -1,2 +1,3 @@
-SHA256 (RT-Extension-SLA-0.04.tar.gz) = 1e024a353cdeec0b1ef0dc0e1711129a678add8530fee67466e40c0095c774ab
-SIZE (RT-Extension-SLA-0.04.tar.gz) = 41584
+SHA256 (RT-Extension-SLA-0.05.tar.gz) = 0e74e6beb91c8cf0fabfcd6760f0c807f318499e67b6f26ea9aeefb1fb345491
+SIZE (RT-Extension-SLA-0.05.tar.gz) = 41842
+
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/www/p5-RT-Extension-SLA/pkg-plist,v
retrieving revision 1.3
diff -u -u -r1.3 pkg-plist
--- pkg-plist	26 Sep 2011 20:01:01 -0000	1.3
+++ pkg-plist	26 Sep 2011 21:14:51 -0000
@@ -8,8 +8,10 @@
 %%RTHOME%%/plugins/RT-Extension-SLA/lib/RT/Condition/SLA_RequireDefault.pm
 %%RTHOME%%/plugins/RT-Extension-SLA/lib/RT/Condition/SLA_RequireDueSet.pm
 %%RTHOME%%/plugins/RT-Extension-SLA/lib/RT/Condition/SLA_RequireStartsSet.pm
+%%RTHOME%%/plugins/RT-Extension-SLA/lib/RT/Extension/SLA/Test.pm
 %%RTHOME%%/plugins/RT-Extension-SLA/lib/RT/Extension/SLA.pm
 %%RTHOME%%/plugins/RT-Extension-SLA/lib/RT/Queue_SLA.pm
+@dirrm %%RTHOME%%/plugins/RT-Extension-SLA/lib/RT/Extension/SLA
 @dirrm %%RTHOME%%/plugins/RT-Extension-SLA/lib/RT/Extension
 @dirrm %%RTHOME%%/plugins/RT-Extension-SLA/lib/RT/Condition
 @dirrm %%RTHOME%%/plugins/RT-Extension-SLA/lib/RT/Action


-- 
Dr Matthew J Seaman MA, D.Phil.                   7 Priory Courtyard
                                                  Flat 3
PGP: http://www.infracaninophile.co.uk/pgpkey     Ramsgate
JID: matthew@infracaninophile.co.uk               Kent, CT11 9PW
Comment 3 Florian Smeets freebsd_committer 2011-10-18 10:19:11 UTC
Responsible Changed
From-To: perl->flo

I'll take it.
Comment 4 dfilter freebsd_committer 2011-10-18 16:51:07 UTC
flo         2011-10-18 15:50:57 UTC

  FreeBSD ports repository

  Modified files:
    www/p5-RT-Extension-SLA Makefile distinfo pkg-plist 
  Log:
  - Update to version 0.05
  - Add support for www/rt40
  - Add license
  - Pet portlint
  
  PR:             ports/160955
  Submitted by:   Matthew Seaman <m.seaman@infracaninophile.co.uk> (maintainer)
  
  Revision  Changes    Path
  1.15      +21 -9     ports/www/p5-RT-Extension-SLA/Makefile
  1.5       +2 -2      ports/www/p5-RT-Extension-SLA/distinfo
  1.4       +2 -0      ports/www/p5-RT-Extension-SLA/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Florian Smeets freebsd_committer 2011-10-18 17:05:23 UTC
State Changed
From-To: open->closed

Committed. Thanks!